HTTP reference · Powered by Scalar
CloudBurrow Metadata and Credentials
From source · 0ea2594 18 HTTP operations
Run examples against your local instance. Use cloudburrow env to confirm its endpoints.
HTTP endpoint list
- GET
/Probe the metadata server - GET
/computeMetadata/v1/project/project-idGet the instance project ID - GET
/computeMetadata/v1/instance/zoneGet the local zone - GET
/computeMetadata/v1/instance/service-accounts/List metadata service accounts - GET
/computeMetadata/v1/instance/service-accounts/{account}/emailGet the service account email - GET
/computeMetadata/v1/instance/service-accounts/{account}/aliasesGet the service account aliases - GET
/computeMetadata/v1/instance/service-accounts/{account}/scopesGet the service account scopes - GET
/computeMetadata/v1/instance/service-accounts/{account}/tokenGet a local access token - GET
/computeMetadata/v1/instance/service-accounts/{account}/identityGet a local identity token - POST
/tokenExchange a local credential - GET
/certsGet local signing keys - POST
/v1/projects/-/serviceAccounts/{account}:generateAccessTokenGenerate an impersonated access token - POST
/v1/projects/-/serviceAccounts/{account}:generateIdTokenGenerate an impersonated ID token - POST
/v1/projects/-/serviceAccounts/{account}:signBlobSign bytes locally - POST
/v1/projects/-/serviceAccounts/{account}:signJwtSign JWT claims locally - GET
/service_accounts/v1/metadata/x509/{account}Get service account certificates - GET
/service_accounts/v1/metadata/jwk/{account}Get service account JSON Web Keys - GET
/robot/v1/metadata/x509/{account}Get key file certificates
Local server http://127.0.0.1:9005